Skip to main content
`Ctrl`+`K`

# MatGetColumnSums

Gets the sums of each column of a sparse or dense matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetColumnSums(Mat A, PetscScalar sums[])

## Input Parameter

- A - the matrix

## Output Parameter

- sums - an array as large as the TOTAL number of columns in the matrix

## Note

Each process has ALL the column sums after the call. Because of the way this is computed each process gets all the values, if each process wants only some of the values it should extract the ones it wants from the array.

## See Also

Matrices, `Mat`, `VecSum()`, `MatGetColumnMeans()`, `MatGetColumnNorms()`, `MatGetColumnReductions()`

## Level

intermediate

## Location

src/mat/utils/getcolv.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages